diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
index 0de6dc236..bfcafe858 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
@@ -209,7 +209,7 @@ public class ScreenCreateWorld extends Screen {
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick) {
+    public void render(int mx, int my, float partialTick) {
         I18n stringtranslate = I18n.getInstance();
         renderBackground();
         drawStringCentered(font, stringtranslate.translateKey("gui.create_world.label.title"), width / 2, 20, 0xffffff);
@@ -217,7 +217,7 @@ public class ScreenCreateWorld extends Screen {
         drawString(font, stringtranslate.translateKey("gui.create_world.label.seed"), width / 2 - 100, 88, 0xa0a0a0);
         textboxWorldName.drawTextBox();
         textboxSeed.drawTextBox();
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java
index 473ec6d56..953bd40f0 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java
@@ -104,7 +104,7 @@ public class ScreenCredits extends Screen {
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick) {
+    public void render(int mx, int my, float partialTick) {
         // Handle scrolling
         if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL)) {
             scroll(Mouse.getDWheel() * -0.01f);
@@ -116,9 +116,9 @@ public class ScreenCredits extends Screen {
         overlayBackground(0, width, 0, top);
         overlayBackground(0, width, bottom, height);
 
-        drawScrollBar(xm, ym);
+        drawScrollBar(mx, my);
 
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
 
         font.drawCenteredString(I18n.getInstance().translateKey("gui.credits.label.title"), width / 2, 5, 0xFFFFFF);
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
index f83249655..c6ff2bb3f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
@@ -45,12 +45,12 @@ public class ScreenDownloadTerrain extends Screen
 
     @Override
 
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
         renderTexturedBackground();
         I18n i18n = I18n.getInstance();
         drawStringCentered(font, i18n.translateKey("gui.downloading_terrain.label.title"), width / 2, height / 2 - 50, 0xffffff);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     private PacketHandlerClient netHandler;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
index 04f3aed52..2207e2514 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
@@ -62,7 +62,7 @@ public class ScreenGameOver extends Screen
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
         I18n i18n = I18n.getInstance();
         drawGradientRect(0, 0, width, height, 0x60500000, 0xa0803030);
@@ -71,7 +71,7 @@ public class ScreenGameOver extends Screen
         drawStringCentered(font, i18n.translateKey("gui.game_over.label.title"), width / 2 / 2, 30, 0xffffff);
         GL11.glPopMatrix();
         drawStringCentered(font, i18n.translateKeyAndFormat("gui.game_over.label.score", TextFormatting.YELLOW.toString() + mc.thePlayer.getScore()), width / 2, 100, 0xffffff);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
index 6e76c4964..0c358845b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
@@ -234,16 +234,16 @@ public class ScreenHudDesigner
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick) {
-        updateComponentsUnderMouse(xm, ym);
+    public void render(int mx, int my, float partialTick) {
+        updateComponentsUnderMouse(mx, my);
 
         if (heldComponent != null) {
-            updateHeldComponent(xm, ym);
+            updateHeldComponent(mx, my);
         }
 
         renderTexturedBackground();
 
-        drawHudComponents(xm, ym);
+        drawHudComponents(mx, my);
 
         Tessellator tessellator = Tessellator.instance;
         GL11.glDisable(GL_DEPTH_TEST);
@@ -265,7 +265,7 @@ public class ScreenHudDesigner
             }
         }
 
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
index a308de9fc..5f85f19fa 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
@@ -59,7 +59,7 @@ public class ScreenLabelEditor extends Screen
     }
 
     @Override
-    public void render(final int xm, final int ym, final float f)
+    public void render(final int mx, final int my, final float f)
     {
         renderBackground();
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
@@ -72,7 +72,7 @@ public class ScreenLabelEditor extends Screen
 
         drawStringCentered(font, TextFormatting.get(color) + "> " + text + " <", width / 2, 100, 0xffffff);
 
-        super.render(xm, ym, f);
+        super.render(mx, my, f);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
index e9d02a99d..11af275aa 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
@@ -315,7 +315,7 @@ public class ScreenMainMenu extends Screen
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick)
+    public void render(int mx, int my, float partialTick)
     {
         I18n i18n = I18n.getInstance();
         renderBackground();
@@ -350,7 +350,7 @@ public class ScreenMainMenu extends Screen
         drawString(font, disclaimer1, width - font.getStringWidth(disclaimer1) - 2, height - 20, 0xffffff);
         String disclaimer2 = i18n.translateKey("gui.main_menu.label.disclaimer.2");
         drawString(font, disclaimer2, width - font.getStringWidth(disclaimer2) - 2, height - 10, 0xffffff);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
         
     	if(mc.downloadResourcesThread.downloading) {
     		double b = java.lang.Math.sin((System.currentTimeMillis() / 1000.0) * 4);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java
index 0326d3837..de969de3e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java
@@ -25,7 +25,7 @@ public class ScreenMissingMinecraft extends Screen {
         buttons.add(new ClickableLabelElement(2, 0,  height - font.fontHeight - 4, i.translateKey("gui.main_menu.button.discord"), 0x5865F2));
     }
     @Override
-    public void render(int xm, int ym, float partialTick)
+    public void render(int mx, int my, float partialTick)
     {
         I18n i = I18n.getInstance();
         drawBackground(partialTick);
@@ -35,7 +35,7 @@ public class ScreenMissingMinecraft extends Screen {
         drawString(font, i.translateKey("gui.no_minecraft.label.body.3"), width / 2 - 170, (height / 4 - 60) + 60 + 27, 0xdedede);
         drawString(font, i.translateKey("gui.no_minecraft.label.body.4"), width / 2 - 170, (height / 4 - 60) + 60 + 45, 0xdedede);
         drawString(font, i.translateKey("gui.no_minecraft.label.body.5"), width / 2 - 170, (height / 4 - 60) + 60 + 54, 0xdedede);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
     @Override
     protected void buttonClicked(ButtonElement button)
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
index a6792eb7b..1c3e59e98 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
@@ -9,7 +9,7 @@ public class ScreenOutOfMemory extends Screen
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
         I18n i18n = I18n.getInstance();
         renderBackground();
@@ -20,6 +20,6 @@ public class ScreenOutOfMemory extends Screen
         drawString(font, i18n.translateKey("gui.out_of_memory.label.body.4"), width / 2 - 140, (height / 4 - 60) + 60 + 36, 0xA0A0A0);
         drawString(font, i18n.translateKey("gui.out_of_memory.label.body.5"), width / 2 - 140, (height / 4 - 60) + 60 + 45, 0xA0A0A0);
         drawString(font, i18n.translateKey("gui.out_of_memory.label.body.6"), width / 2 - 140, (height / 4 - 60) + 60 + 63, 0xA0A0A0);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
index ac2d487a4..6744edbca 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
@@ -37,9 +37,9 @@ public class ScreenPaintingPicker
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick)
+    public void render(int mx, int my, float partialTick)
     {
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
 
         float dWheel = Mouse.getDWheel();
         if (dWheel < 0)
@@ -53,7 +53,7 @@ public class ScreenPaintingPicker
             updateArtEntries();
         }
 
-        drawPaintings(width, height, xm, ym);
+        drawPaintings(width, height, mx, my);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java
index 5a0016ec0..418ed37f2 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java
@@ -105,7 +105,7 @@ public class ScreenPause extends Screen
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
         I18n i = I18n.getInstance();
         renderBackground();
@@ -124,7 +124,7 @@ public class ScreenPause extends Screen
         drawStringCentered(font, i.translateKey("gui.ingame_menu.label.title"), width / 2, 40, 0xffffff);
         String score = TextFormatting.YELLOW.toString() + mc.thePlayer.getScore();
         drawStringCentered(font, i.translateKeyAndFormat("gui.ingame_menu.label.score", score), width / 2, 56, 0xfefefe);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     private int updateCounter2;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
index db5c2933f..2dbd276e9 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
@@ -322,7 +322,7 @@ public class ScreenPhotoMode extends Screen
 
     protected long lastUpdateTime = 0;
     @Override
-    public void render(int xm, int ym, float partialTick)
+    public void render(int mx, int my, float partialTick)
     {
         GL11.glViewport(0, 0, mc.gameWindow.getWidthPixels(), mc.gameWindow.getHeightPixels());
         GL11.glMatrixMode(GL11.GL_PROJECTION);
@@ -403,7 +403,7 @@ public class ScreenPhotoMode extends Screen
 
         if (!shouldScreenshot)
         {
-            super.render(xm, ym, partialTick);
+            super.render(mx, my, partialTick);
         }
         else
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
index 139cb67b0..6095d0a70 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
@@ -211,10 +211,10 @@ public class ScreenSelectServer extends Screen {
 	}
 
 	@Override
-	public void render(int xm, int ym, float partialTick) {
-		worldSlotContainer.render(xm, ym, partialTick);
+	public void render(int mx, int my, float partialTick) {
+		worldSlotContainer.render(mx, my, partialTick);
 		drawStringCentered(font, screenTitle, width / 2, 20, 0xffffff);
-		super.render(xm, ym, partialTick);
+		super.render(mx, my, partialTick);
 	}
 	
 	class ServerSlot extends ScrolledSelectionList {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
index 0ccc52d15..02ca6352d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
@@ -253,11 +253,11 @@ public class ScreenSelectWorld extends Screen
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick)
+    public void render(int mx, int my, float partialTick)
     {
-        worldSlotContainer.render(xm, ym, partialTick);
+        worldSlotContainer.render(mx, my, partialTick);
         drawStringCentered(font, stringTitle, width / 2, 20, 0xffffff);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     class WorldSlot extends ScrolledSelectionList
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
index 18c377a5e..c30ab97cf 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
@@ -114,7 +114,7 @@ public class ScreenSignEditor extends Screen
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
         renderBackground();
         drawStringCentered(font, screenTitle, width / 2, 40, 0xffffff);
@@ -158,7 +158,7 @@ public class ScreenSignEditor extends Screen
         
         drawStringCentered(font, I18n.getInstance().translateKey(entitySign.getPicture().getLanguageKey()), width / 2, 100 + 50 + yOffset, 0xFFFFFF);
 
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     protected String screenTitle;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
index 410b6b9fc..64d74e5e5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
@@ -150,10 +150,10 @@ public class ScreenSoundTest extends Screen {
         entryIndex = index;
     }
 
-    public void render(int xm, int ym, float partialTick) {
+    public void render(int mx, int my, float partialTick) {
         renderBackground();
 
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
 
         font.drawCenteredString(I18n.getInstance().translateKey("gui.sound_test.label.title"), width/2, 5, 0xFFFFFF);
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
index b0451b2fa..8cf74de5f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
@@ -95,11 +95,11 @@ public class ScreenStats extends Screen {
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
-        selectionList.render(xm, ym, partialTick);
+        selectionList.render(mx, my, partialTick);
         drawStringCentered(font, title, width / 2, 20, 0xffffff);
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     private void renderItemAsIcon(int x, int y, int itemID)
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
index 24bc5aa4f..13e350144 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
@@ -115,7 +115,7 @@ public class ScreenTextureViewer extends Screen {
         texIndex = texIndex % textureList.size();
     }
 
-    public void render(int xm, int ym, float partialTick) {
+    public void render(int mx, int my, float partialTick) {
         renderBackground();
 
         font.drawCenteredString(I18n.getInstance().translateKey("gui.texture_viewer.label.title"), width/2, 5, 0xFFFFFF);
@@ -181,7 +181,7 @@ public class ScreenTextureViewer extends Screen {
 
 //        drawGuiIcon((width - bw)/2, (height - bh)/2, bw, bh, TextureRegistry.getTexture("minecraft:gui/widgets/button"));
 
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
 
         GL11.glDisable(GL11.GL_DEPTH_TEST);
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
index 95fd2d77b..0ad9d515d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
@@ -233,20 +233,20 @@ public class ScreenAchievements extends Screen
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
         if(Mouse.isButtonDown(0)) {
-            if(xm >= viewportLeft && xm < viewportRight && ym >= viewportTop && ym < viewportBottom) {
+            if(mx >= viewportLeft && mx < viewportRight && my >= viewportTop && my < viewportBottom) {
                 if(!draggingViewport) {
                     draggingViewport = true;
                 } else {
-                    targetShiftX -= (xm - mouseXOld) / viewportZoom;
-                    targetShiftY -= (ym - mouseYOld) / viewportZoom;
+                    targetShiftX -= (mx - mouseXOld) / viewportZoom;
+                    targetShiftY -= (my - mouseYOld) / viewportZoom;
                     currentShiftX = oldShiftX = targetShiftX;
                     currentShiftY = oldShiftY = targetShiftY;
                 }
-                mouseXOld = xm;
-                mouseYOld = ym;
+                mouseXOld = mx;
+                mouseYOld = my;
             }
             currentShiftX =  MathHelper.clamp(currentShiftX, shiftMinX, shiftMaxX);
             currentShiftY =  MathHelper.clamp(currentShiftY, shiftMinY, shiftMaxY);
@@ -271,22 +271,25 @@ public class ScreenAchievements extends Screen
             draggingViewport = false;
         }
 
-        if (drawSidebar() && xm >= pageListLeft && xm <= pageListRight) {
+        if (drawSidebar() && mx >= pageListLeft && mx <= pageListRight) {
             if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL)) {
                 scrollPagesList(Mouse.getDWheel() / -0.01f);
             } else {
                 scrollPagesList(Mouse.getDWheel() / -0.05f);
             }
             onScrollPagesList();
-        } else if (xm >= viewportLeft && xm <= viewportRight && ym >= viewportTop && ym <= viewportBottom){
-            viewportZoom = MathHelper.clamp(viewportZoom + (Mouse.getDWheel()/10d), 0.5d, 2);
+        } else if (mx >= viewportLeft && mx <= viewportRight && my >= viewportTop && my <= viewportBottom){
+            final double change = (Mouse.getDWheel()/10d);
+            viewportZoom = MathHelper.clamp(viewportZoom + change, 0.5d, 2);
 
             // Make zoom notch onto integer multiples
-            final double[] notches = new double[]{0.25, 0.5, 1, 2, 4};
-            for (double notch : notches){
-                if (Math.abs(viewportZoom - notch) < 0.05){
-                    viewportZoom = notch;
-                    break;
+            if (change != 0) {
+                final double[] notches = new double[]{0.25, 0.5, 1, 2, 4};
+                for (double notch : notches){
+                    if (Math.abs(viewportZoom - notch) < 0.05){
+                        viewportZoom = notch;
+                        break;
+                    }
                 }
             }
         }
@@ -298,7 +301,7 @@ public class ScreenAchievements extends Screen
             overlayBackground(0, pageListRight, top, bottom, 0x202020);
         }
 
-        renderAchievementsPanel(xm, ym, partialTick);
+        renderAchievementsPanel(mx, my, partialTick);
 
         overlayBackground(0, width, 0, top, 0x404040);
         overlayBackground(0, width, bottom, height, 0x404040);
@@ -310,7 +313,7 @@ public class ScreenAchievements extends Screen
         GL11.glShadeModel(GL11.GL_SMOOTH);
         GL11.glEnable(GL11.GL_TEXTURE_2D);
 
-        super.render(xm, ym, partialTick); // Draw Buttons
+        super.render(mx, my, partialTick); // Draw Buttons
         GL11.glEnable(GL11.GL_DEPTH_TEST);
         GL11.glEnable(GL11.GL_LIGHTING);
         Lighting.disable();
@@ -328,8 +331,8 @@ public class ScreenAchievements extends Screen
             if (pagesListHeight < bottom - top) {
                 pagesListY = top + (bottom - top - pagesListHeight) / 2;
             }
-            if (ym >= top && ym <= bottom) {
-                hoveredPage = drawPagesListItems(pageListLeft + PADDING - 4, pagesListY, pageListRight - PADDING, xm, ym);
+            if (my >= top && my <= bottom) {
+                hoveredPage = drawPagesListItems(pageListLeft + PADDING - 4, pagesListY, pageListRight - PADDING, mx, my);
             } else {
                 hoveredPage = drawPagesListItems(pageListLeft + PADDING - 4, pagesListY, pageListRight - PADDING, -1, -1);
             }
@@ -405,16 +408,16 @@ public class ScreenAchievements extends Screen
         }
 
         if (hoveredAchievement != null){
-            drawAchievementToolTip(hoveredAchievement, xm, ym);
+            drawAchievementToolTip(hoveredAchievement, mx, my);
         }
 
         if (drawSidebar()) {
-            drawPagesListScrollBar(xm, ym);
+            drawPagesListScrollBar(mx, my);
 
             if (hoveredPage != null){
                 String msg = font.wrapFormattedStringToWidth(hoveredPage.getDescription(), TOOLTIP_BOX_WIDTH_MIN);
                 msg += "\n" + TextFormatting.LIGHT_GRAY + I18n.getInstance().translateKeyAndFormat("gui.achievements.label.completion",  Math.round(hoveredPage.getCompletionFraction(statsCounter) * 100) + "%");
-                tooltip.render(msg, xm, ym, TOOLTIP_OFF_X, TOOLTIP_OFF_Y);
+                tooltip.render(msg, mx, my, TOOLTIP_OFF_X, TOOLTIP_OFF_Y);
             }
         }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java b/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java
index e1dfdfe40..8fe6eb337 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java
@@ -159,11 +159,11 @@ public class ScreenChat extends Screen implements ITextField {
 	}
 
 	@Override
-	public void render(int xm, int ym, float partialTick) {
+	public void render(int mx, int my, float partialTick) {
 		// Draw emote picker button
 		int emotePickerButtonColor = 0x80000000;
 		int emotePickerTextColor = 0xE0E0E0;
-		if (xm >= 2 && xm < 14 && ym >= height - 14 && ym < height - 2)
+		if (mx >= 2 && mx < 14 && my >= height - 14 && my < height - 2)
 		{
 			emotePickerButtonColor = 0x80ffffff;
 			emotePickerTextColor = 0xffffffa0;
@@ -188,10 +188,10 @@ public class ScreenChat extends Screen implements ITextField {
 		}
 
 		if (showEmotePicker) {
-			emotePicker.draw(2, height - 16 - emotePicker.getHeight(), xm, ym);
+			emotePicker.draw(2, height - 16 - emotePicker.getHeight(), mx, my);
 		}
 
-		super.render(xm, ym, partialTick);
+		super.render(mx, my, partialTick);
 		if (this.suggestionsElement != null) {
 			this.suggestionsElement.drawScreen();
 		}
diff --git a/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenSleepMP.java b/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenSleepMP.java
index 454f11fc3..e42b43a56 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenSleepMP.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenSleepMP.java
@@ -43,9 +43,9 @@ public class ScreenSleepMP extends ScreenChat
     }
 
     @Override
-	public void render(int xm, int ym, float partialTick)
+	public void render(int mx, int my, float partialTick)
     {
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
index 74ce586b0..823ab8f48 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
@@ -64,7 +64,7 @@ public abstract class ScreenContainerAbstract extends Screen
 	}
 
 	@Override
-	public void render(final int xm, final int ym, final float partialTick)
+	public void render(final int mx, final int my, final float partialTick)
 	{
 		renderBackground();
 		final int centerX = (width - xSize) / 2;
@@ -77,7 +77,7 @@ public abstract class ScreenContainerAbstract extends Screen
 		for (int i = 0; i < inventorySlots.slots.size(); i++)
 		{
 			final Slot slot1 = inventorySlots.slots.get(i);
-			boolean mouseOver = getIsMouseOverSlot(slot1, xm, ym);
+			boolean mouseOver = getIsMouseOverSlot(slot1, mx, my);
 			if(!itemDragHandler.isSlotDragged(slot1)) {
 				itemElement.render(slot1.getItem(), slot1.x, slot1.y, mouseOver, slot1);
 			}
@@ -90,7 +90,7 @@ public abstract class ScreenContainerAbstract extends Screen
 		final ContainerInventory inventoryplayer = mc.thePlayer.inventory;
 		ItemStack grabbedItem = inventoryplayer.getHeldItemStack();
 		if(mc.gameSettings.enableItemDragging.value) {
-			itemDragHandler.drawScreen(xm, ym, partialTick);
+			itemDragHandler.drawScreen(mx, my, partialTick);
 
 			ItemStack grabbedItemOverride = itemDragHandler.getHeldItemRenderOverride();
 			if(grabbedItemOverride != null) {
@@ -99,13 +99,13 @@ public abstract class ScreenContainerAbstract extends Screen
 		}
 		GL11.glPopMatrix();
 
-		super.render(xm, ym, partialTick);
+		super.render(mx, my, partialTick);
 
 		GL11.glPushMatrix();
 		if (grabbedItem != null)
 		{
 			GL11.glTranslatef(centerX, centerY, 100.0F);
-			itemElement.render(grabbedItem, xm - centerX - 8, ym - centerY - 8);
+			itemElement.render(grabbedItem, mx - centerX - 8, my - centerY - 8);
 		}
 		GL11.glPopMatrix();
 
@@ -116,7 +116,7 @@ public abstract class ScreenContainerAbstract extends Screen
 			String str = tooltipElement.getTooltipText(slot.getItem(), showDescription, slot);
 			if(str.length() > 0)
 			{
-				tooltipElement.render(str, xm, ym, 8, -8);
+				tooltipElement.render(str, mx, my, 8, -8);
 			}
 		}
 		GL11.glEnable(GL11.GL_DEPTH_TEST);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
index d940e33a1..37e00bc48 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
@@ -345,13 +345,13 @@ public class ScreenFlagEditor
     }
 
     @Override
-    public void render(int xm, int ym, float partialTick)
+    public void render(int mx, int my, float partialTick)
     {
-        super.render(xm, ym, partialTick);
+        super.render(mx, my, partialTick);
         drawOverlaySurface.clear();
 
-        int xInCanvas = (xm - canvasX) / CANVAS_SCALE;
-        int yInCanvas = (ym - canvasY) / CANVAS_SCALE;
+        int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
+        int yInCanvas = (my - canvasY) / CANVAS_SCALE;
         byte color = (byte) (selectedColor + 1);
         if (this.mouseButton == 1) color = 4;
 
